import { Component } from '@angular/core';
import { Hero } from '../hero';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import {HEROES} from '../mock-heroes';
import { HeroDetailComponent } from '../hero-detail/hero-detail.component';

@Component({
  selector: 'app-heroes',
  templateUrl: './heroes.component.html',
  styleUrls: ['./heroes.component.css'],
  imports: [CommonModule, FormsModule, HeroDetailComponent]
})

export class HeroesComponent { //определяем класс со списком героев
  heroes = HEROES;
  selectedHero?: Hero;

  onSelect(hero: Hero): void {
  this.selectedHero = hero;
  }

}


